Bug 255562 (poppler-21.05.0) - [exp-run] Upgrade graphics/poppler to 21.05.0
Summary: [exp-run] Upgrade graphics/poppler to 21.05.0
Status: Closed FIXED
Alias: poppler-21.05.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-03 04:10 UTC by Tobias C. Berner
Modified: 2021-05-06 04:13 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v1 (2.94 KB, patch)
2021-05-03 04:10 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2021-05-03 04:10:14 UTC
Created attachment 224626 [details]
v1

Hi there


desktop@ would like to ask for an exp-run to upgrade poppler to 21.05. 

The patch is attached, and can also be found here:

https://people.freebsd.org/~tcberner/patches/0001-graphics-poppler-update-to-21.05.0.patch


mfg Tobias
Comment 1 Antoine Brodin freebsd_committer 2021-05-05 18:39:38 UTC
Exp-run looks fine
Comment 2 commit-hook freebsd_committer 2021-05-06 04:12:46 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=cc4315b370580787f8f12f4f788bb47f6ff7544a

commit cc4315b370580787f8f12f4f788bb47f6ff7544a
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-05-03 04:04:51 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-05-06 04:12:26 +0000

    graphics/poppler: update to 21.05.0

    Release 21.05.0:
            core:
             * Fix crashes in malformed files
             * Export SplashFont* symbols used by Scribus
             * Minor code improvements

            qt5/qt6:
             * Make sure new signatures are always properly oriented
             * Allow to pass the border width when signing

            glib:
             * Enhance find to support multi-line matching

            utils:
             * pdftoppm: Fix regression when using single scaleTo. Issue #1062

            build system:
             * Allow to disable building manual tests

    PR:             255562
    Exp-run by:     antoine

 converters/pdf2djvu/Makefile          | 2 +-
 databases/kbibtex/Makefile            | 2 +-
 deskutils/calibre/Makefile            | 1 +
 deskutils/cfiles/Makefile             | 2 +-
 deskutils/lumina-pdf/Makefile         | 2 +-
 deskutils/recoll/Makefile             | 2 +-
 deskutils/xfce4-tumbler/Makefile      | 2 +-
 devel/efl/Makefile                    | 2 +-
 devel/kf5-kfilemetadata/Makefile      | 2 +-
 editors/calligra/Makefile             | 2 +-
 editors/kile/Makefile                 | 2 +-
 editors/libreoffice/Makefile          | 2 +-
 editors/libreoffice6/Makefile         | 2 +-
 editors/setzer/Makefile               | 2 +-
 editors/texstudio/Makefile            | 2 +-
 editors/texworks/Makefile             | 2 +-
 graphics/atril/Makefile               | 2 +-
 graphics/diff-pdf/Makefile            | 2 +-
 graphics/diffpdf/Makefile             | 2 +-
 graphics/dspdfviewer/Makefile         | 2 +-
 graphics/engauge-digitizer/Makefile   | 2 +-
 graphics/epdfview/Makefile            | 2 +-
 graphics/evince/Makefile              | 2 +-
 graphics/gdal/Makefile                | 1 +
 graphics/geeqie/Makefile              | 2 +-
 graphics/gegl/Makefile                | 2 +-
 graphics/gimp-app/Makefile            | 2 +-
 graphics/graphviz/Makefile            | 2 +-
 graphics/impressive/Makefile          | 2 +-
 graphics/inkscape/Makefile            | 2 +-
 graphics/katarakt/Makefile            | 2 +-
 graphics/krita/Makefile               | 2 +-
 graphics/okular/Makefile              | 2 +-
 graphics/openfx-arena/Makefile        | 2 +-
 graphics/osg/Makefile                 | 2 +-
 graphics/osg34/Makefile               | 2 +-
 graphics/pdf2svg/Makefile             | 2 +-
 graphics/pdfpc/Makefile               | 2 +-
 graphics/poppler-glib/pkg-plist       | 2 +-
 graphics/poppler-qt5/pkg-plist        | 2 +-
 graphics/poppler/Makefile             | 4 ++--
 graphics/poppler/distinfo             | 6 +++---
 graphics/pqiv/Makefile                | 2 +-
 graphics/qcomicbook/Makefile          | 2 +-
 graphics/sane-backends/Makefile       | 2 +-
 graphics/tikzit/Makefile              | 2 +-
 graphics/vips/Makefile                | 2 +-
 graphics/xournal/Makefile             | 2 +-
 graphics/xournalpp/Makefile           | 2 +-
 graphics/yacreader/Makefile           | 2 +-
 mail/claws-mail-pdf_viewer/Makefile   | 2 +-
 mail/textmail/Makefile                | 2 +-
 math/cantor/Makefile                  | 2 +-
 math/labplot/Makefile                 | 2 +-
 misc/tellico/Makefile                 | 2 +-
 net/kitinerary/Makefile               | 2 +-
 print/cups-filters/Makefile           | 2 +-
 print/deforaos-pdfviewer/Makefile     | 2 +-
 print/ghostscript9-agpl-base/Makefile | 2 +-
 print/pdf-tools/Makefile              | 2 +-
 print/qpdfview/Makefile               | 2 +-
 print/scribus-devel/Makefile          | 1 +
 print/texlive-base/Makefile           | 2 +-
 print/xreader/Makefile                | 2 +-
 sysutils/tracker-miners/Makefile      | 2 +-
 textproc/pdfgrep/Makefile             | 2 +-
 textproc/pdfsandwich/Makefile         | 2 +-
 textproc/py-pdftotext/Makefile        | 2 +-
 www/hotcrp/Makefile                   | 2 +-
 x11/eaglemode/Makefile                | 2 +-
 70 files changed, 73 insertions(+), 70 deletions(-)
Comment 3 Tobias C. Berner freebsd_committer 2021-05-06 04:13:56 UTC
Committed -- thanks for the exp-run.